polybori::constant_binder1st< BinaryFunction, ConstantOp > Class Template Reference

`#include <pbori_func.h>`

Inheritance diagram for polybori::constant_binder1st< BinaryFunction, ConstantOp >:

## Additional Inherited Members

Public Types inherited from polybori::constant_binder_base< std::binder1st, BinaryFunction, BinaryFunction::first_argument_type, ConstantOp >
typedef BinaryFunction | bin_op
typedef ConstantOp | const_type
typedef std::binder1st< bin_op > | base
typedef BinaryFunction::first_argument_type | value_type
Public Member Functions inherited from polybori::constant_binder_base< std::binder1st, BinaryFunction, BinaryFunction::first_argument_type, ConstantOp >
| constant_binder_base (const bin_op &op=bin_op())

The documentation for this class was generated from the following file:

- pbori_func.h